%global base_name breeze-grub
%global debug_package %{nil}
%global _grubthemedir /boot/grub2/themes

Name: grub2-qubes-theme
Version: 5.14.4
Release: 2%{?dist}
Summary: Qubes theme for GRUB

License: GPLv3
URL: https://cgit.kde.org/%{base_name}.git

Source0: %{base_name}-%{version}.tar.xz
Source1: splash.svg
Source10: README.Qubes

Patch0: 0001-Change-desktop-color-to-Qubes-background.patch
Patch1: 0002-Adjust-boot-menu-size-to-properly-show-advanced-entr.patch
Patch2: 0003-Change-default-gray-color-to-render-better-with-Qube.patch

BuildRequires: ImageMagick
Requires: grub2
Provides: qubes-grub = %{version}-%{release}

%description
%{summary}.

%prep
%autosetup -n %{base_name}-%{version} -p1
install -m 644 -p %{SOURCE1} %{SOURCE10} .

%build
convert -size 1920x1080 -background none %{SOURCE1} qubes.png

%install
mkdir -p %{buildroot}%{_grubthemedir}/qubes
cp -r breeze/* %{buildroot}%{_grubthemedir}/qubes/
install -m 644 qubes.png %{buildroot}%{_grubthemedir}/qubes/qubes.png

%files
%license COPYING
%doc README.Qubes
%{_grubthemedir}/qubes

%changelog
* Mon Jan 06 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-grub2-theme

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2ed95c
- version 5.14.4-2

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a8a416c
- travis: switch to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4477a4
- Fix grub.cfg path in README.Qubes

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 48bdd0e
- travis: switch to bionic

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe20829
- travis: initial

* Fri Jan 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3eb5336
- Convert Qubes SVG to PNG with 1920x1080 size

* Fri Jan 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 471bb78
- Initial commit

